HttpRequestPool::__destruct
HttpRequestPool::getAttachedRequests
The HttpRequestPool class
PHP Manual

# HttpRequestPool::detach

(PECL pecl_http >= 0.10.0)

HttpRequestPool::detach — Detach HttpRequest

### Description

bool HttpRequestPool::detach ( HttpRequest `$request` )

Detach an HttpRequest object from this HttpRequestPool.

### Parameters

`request`

  an HttpRequest object attached to this HttpRequestPool object

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Errors/Exceptions

Throws HttpInvalidParamException, HttpRequestPoolException.

HttpRequestPool::__destruct
HttpRequestPool::getAttachedRequests
The HttpRequestPool class
PHP Manual